.datepicker {

    &-container {
        position: fixed;
        top: 0;
        left: 0;
        width: 300px;
        padding: 15px 20px 17px;
        font-size: 16px;
        direction: ltr;
        background-color: #fff;
        touch-action: none;
        user-select: none;
        z-index: -1;
        font-family: 'Manrope', sans-serif;
        -webkit-tap-highlight-color: transparent;
        -webkit-touch-callout: none;
        box-sizing: border-box;
    }

    &-dropdown {
        position: absolute;
        border-radius: 10px;
        box-shadow: 0 18px 38px rgba(0, 0, 0, 0.11);
        z-index: 1;
    }

    &-inline {
        position: static;
    }

    &-bottom-left,
    &-bottom-right {

    }

    &-top-right,
    &-bottom-right {

    }

    &-panel {

        > ul {
            display: flex;
            flex-wrap: wrap;
            justify-content: flex-start;
            align-items: stretch;
            width: 100%;

            &:first-child{
                justify-content: space-between;
                margin-bottom: 13px;
            }

            > li {
                display: flex;
                justify-content: center;
                align-items: center;
                background-color: #fff;
                width: 14.28%;
                height: 30px;
                border-radius: 3px;
                text-align: center;
                cursor: pointer;

                &.picked,
                &.picked:hover {
                    color: #fff;
                    background-color: rgba(226,211,206,1);
                    pointer-events: none;
                }

                &.muted{
                    color: #7F7F7F;
                }

                &.disabled{
                    opacity: .4;
                    pointer-events: none;
                }

                &[data-view="years prev"],
                &[data-view="year prev"],
                &[data-view="month prev"],
                &[data-view="years next"],
                &[data-view="year next"],
                &[data-view="month next"],
                &[data-view="next"] {
                    width: 30px;
                    border-radius: 3px;
                    font-size: 30px;

                    svg{
                        width: 11px;
                        height: 16px;
                        pointer-events: none;

                        g{
                            stroke: #199F29;
                            transition: stroke .3s ease;
                        }

                    }

                    &:hover{

                        svg g{
                            stroke: #1FB330;
                        }

                    }

                }

                &[data-view="years current"],
                &[data-view="year current"],
                &[data-view="month current"] {
                    width: calc( 100% - 80px );
                    color: #7F7F7F;
                    transition: color .3s ease;

                    &:hover{
                        color: #0C0B10;
                    }

                }

            }

            &[data-view="years"],
            &[data-view="months"] {

                > li {
                    height: 50px;
                    line-height: 50px;
                    width: 50px;
                }
            }

            &[data-view="years"],
            &[data-view="months"],
            &[data-view="days"]{

                > li{
                    transition: color .3s ease, background-color .3s ease;

                    &:hover {
                        background-color: rgba(226,211,206,.7);
                    }
                }
            }

            &[data-view="week"] {
                margin-bottom: 8px;

                > li {
                    color: #7F7F7F;
                    cursor: default;
                }
            }
        }
    }

    &-hide {
        display: none;
    }
}
